Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.xml
Enum QDomNode.EncodingPolicy

    java.lang.Object
      java.lang.Enum<QDomNode.EncodingPolicy>
          com.trolltech.qt.xml.QDomNode.EncodingPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDomNode.EncodingPolicy>

Enclosing class:
  QDomNode

    public static enum QDomNode.EncodingPolicy

extends java.lang.Enum<QDomNode.EncodingPolicy>
implements QtEnumerator

This enum specifies how QDomNode.:save() determines what encoding to use when serializing.

See also the overload of the `save` function that takes an `EncodingPolicy`.

Enum Constant Summary
`EncodingFromDocument` The encoding is fetched from the document.
`EncodingFromTextStream` The encoding is fetched from the `QTextStream`.

Method Summary
`static QDomNode.EncodingPolicy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDomNode.EncodingPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDomNode.EncodingPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EncodingFromDocument

    public static final QDomNode.EncodingPolicy EncodingFromDocument

  The encoding is fetched from the document.

### EncodingFromTextStream

    public static final QDomNode.EncodingPolicy EncodingFromTextStream

  The encoding is fetched from the `QTextStream`.

Method Detail

### values

    public static final QDomNode.EncodingPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDomNode.EncodingPolicy c : QDomNode.EncodingPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDomNode.EncodingPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDomNode.EncodingPolicy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD